#ifndef HARDWARW_MINI_SENSING_USB_H    
#define HARDWARW_MINI_SENSING_USB_H 

#ifndef LED_ON
	#define LED_ON 0x01 
#endif

#ifndef LED_OFF
	#define LED_OFF 0x00 
#endif

#ifndef ON_STATE
	#define ON_STATE 0x01 
#endif

#ifndef OFF_STATE
	#define OFF_STATE 0x00  
#endif

#ifndef SET_AS_OUTPUT
	#define SET_AS_OUTPUT 0x00  
#endif

#ifndef SET_AS_INPUT
	#define SET_AS_INPUT 0x01 
#endif

#ifndef BUTTON_PRESSED
	#define BUTTON_PRESSED 0x00
#endif



//********************************************
//Output signals
//********************************************
#define LED_1_USB  P6_OUT
#define LED_2_USB  P7_OUT
#define LED_3_USB  P15_OUT
#define LED_4_USB  P16_OUT

#define LED_1_USB_DIR  P6_DIR
#define LED_2_USB_DIR  P7_DIR
#define LED_3_USB_DIR  P15_DIR
#define LED_4_USB_DIR  P16_DIR


//********************************************
// Input       
//********************************************

#define SW_1_USB    	P4_IN
#define SW_1_USB_DIR    P4_DIR  


#define SW_2_USB    	P3_IN   
#define SW_2_USB_DIR    P3_DIR


#endif

