#include <xc.h>

#include "LTlib.h"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h" 
#include "module_IO.c" 

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "GLCD_KS0108B.h"
#include "GLCD_KS0108B.c"

int main(void) {
    
    unsigned int i = 0;
    
    IO_set_all_ports_as_inputs();

    GLCD_initialize ();

    GLCD_backlight (GLCD_TURN_ON_LED);

    while (1) {

        GLCD_draw_picture (logo_1);

        GLCD_draw_window ( 0, 0, 127, 63, GLCD_FILLING_BLACK);
        GLCD_draw_window ( 2, 2, 123, 59, GLCD_FILLING_BLACK);

        delay_ms (2000);
        GLCD_clear (GLCD_FILLING_WHITE);

        GLCD_write_message (25,28,"Loading...      %");

        for (i = 0; i < 100 ; i+= 5) {
            GLCD_write_integer (90,28, i, 2);
            delay_ms (100);
        }

        GLCD_clear (GLCD_FILLING_WHITE);
        GLCD_write_message (30,28,"Hello World");
        delay_ms (300);
        GLCD_backlight (GLCD_TURN_OFF_LED);
        delay_ms (300);
        GLCD_backlight (GLCD_TURN_ON_LED);
        delay_ms (2000);

    }
    while(1);
}
