//******************************************************************************
// In this example the string is blinking all together. 
// The color is sequencially changed Red, Green, Blue and White.
// The string is connected to PORTB pin RB4 (Group 5)
// The string is made of 12 LEDs.
//
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "WS2812B.h"
#include "WS2812B.c"

void main (void){
    
    WS2812_initialize();
    
    while (1){
    
        WS2812_turn_on_group(LED_GROUP_5, 255,0,0);  
        delay_ms (1000);  
        WS2812_turn_on_group(LED_GROUP_5, 0,255,0);
        delay_ms (1000);      
        WS2812_turn_on_group(LED_GROUP_5, 0,0,255);
        delay_ms (1000);   
        WS2812_turn_on_group(LED_GROUP_5, 255,255,255);
        delay_ms (1000);  
    }    
}