#ifndef HARDWARW_MINI_SENSING_MEMORY_CARD_H    
#define HARDWARW_MINI_SENSING_MEMORY_CARD_H 

#ifndef LED_ON
	#define LED_ON 0x01 
#endif

#ifndef LED_OFF
	#define LED_OFF 0x00 
#endif

#ifndef ON_STATE
	#define ON_STATE 0x01 
#endif

#ifndef OFF_STATE
	#define OFF_STATE 0x00  
#endif

#ifndef SET_AS_OUTPUT
	#define SET_AS_OUTPUT 0x00  
#endif

#ifndef SET_AS_INPUT
	#define SET_AS_INPUT 0x01 
#endif

#ifndef BUTTON_PRESSED
	#define BUTTON_PRESSED 0x00
#endif



//********************************************
//Output signals
//********************************************
#define LED_1_MEMORY        P16_OUT
#define LED_1_MEMORY_DIR    P16_DIR


//********************************************
// Input       
//********************************************

// The memory library may overwrite it.
// The definition below are useful for direct usage, but may need to be matchaed to the 
// memory driver

#define CARD_DETECTION_SWITCH       P12_IN 
#define CARD_DETECTION_SWITCH_DIR   P12_DIR  

#define MFP_1       P14_IN 
#define MFP_1_DIR   P14_DIR  

#define MFP_2       P6_IN 
#define MFP_2_DIR   P6_DIR

#endif

