//******************************************************************************
// This example sends the message Hello World  
// to the UART channel 1.
// UART configuration 19000bits/s (no parity used)
// 
//
// Tested Platform: Breadboard
// Tested MCU: PIC32MX220F032B
// Tested Compiler: XC32 2.20
//******************************************************************************

#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_UART.h"
#include "module_UART.c"

void main(void) {
    
    IO_set_all_ports_as_inputs();
    
    delay_ms (10);
    
    UART1_open(UART_BAUDRATE_19200);
    
    UART1_write_message(" Hello World");
            
    while(1);
}
