
#include <xc.h>

#include "LTlib.h"

#include "LTlib_delay.h"
#include "LTlib_delay.c"

#include "LTlib_utilities.h"
#include "LTlib_utilities.c"

#include "module_IO.h"
#include "module_IO.c"

#include "module_I2C.h"
#include "module_I2C.c"

#include "keypad.h"
#include "keypad.c"

#include "MCP2300x.h"
#include "MCP2300x.c"

#include "LCD_44780_I2C.h"
#include "LCD_44780_I2C.c"

void main(void) {
    
    unsigned char pressed_button = 0;
    
    IO_set_all_ports_as_inputs();
    
    LCD_initialize(20);
     
    keypad_initialization();
            
    while (1){
        
        LCD_home ();
        
        LCD_write_message ("Button : "); 
        
        pressed_button = keypad_read(DEBAUNCE_ON);
        
        if (pressed_button == KEYPAD_KEY_NOT_PRESSED) {
           LCD_write_message ("-"); 
        } else {
            LCD_write_char(pressed_button);
        }        
    }
}
